:userdoc.
:title.Major Major documentation
:docprof toc=12.

.***********************************
.*   INTRODUCTION
.***********************************

:h1.Introduction

:p.
Major Major is a mailing list manager.  It allows you to set up
one or more mailing lists, and it allows people to subscribe to those
lists.  When mail comes in for the list, Major Major sends a copy
to everyone on the list.
:p.
The software will ultimately be distributed as shareware, but the
present version (version 0.5) is a beta-test version for which there
is no charge.
:p.
:hp2.Disclaimer of Warranty:ehp2.

:sl compact.
:li.
:hp1.
This Product is provided "as-is", without warranty of any
kind, either expressed or implied, including, but not limited to,
the implied warranties of merchantability and fitness for a
particular purpose.  The entire risk as to the quality and
performance of the Product is with you.  Should the Product prove
defective, the full cost of repair, servicing, or correction lies
with you.
:ehp1.
:esl.

:p.
The author of Major Major is Peter Moylan, peter@ee.newcastle.edu.au.

:p.
The latest version of Major Major is normally kept at ftp&colon.&slash.&slash.eepjm.newcastle.edu.au/software.
Information about other software on this site may be found at
http&colon.&slash.&slash.eepjm.newcastle.edu.au/os2.

:p.
:hp2.Getting information about new versions:ehp2.

:p.
You can, if you wish, send an e-mail to peter@ee.newcastle.edu.au
and ask to be put on the list of people who receive e-mail notification of
new releases of my software.  This mailing list is not used for any other
purposes, and the addresses will not be given to anyone else.
:p.
You may also join a mailing list whose purpose is to discuss
the Major Major software.  If you want to join this list, send an
e-mail to majormajor@eepjm.newcastle.edu.au.  The subject line is not
important and may be anything.  In the body of the message, put the
single line
:xmp.       subscribe majormajor-list
:exmp.

:p.To have yourself removed from the list, send a similar e-mail but
using the command "unsubscribe" instead of "subscribe".

:h1.How it works

:hp2.What is a mailing list?:ehp2.

:p.
A mailing list is similar to a newsgroup, except that it uses e-mail
rather than Usenet to transport the messages.  People join the list
by mailing a "subscribe" command to the mailing list manager.  If
they later want to leave the list, they send in an "unsubscribe"
command.
:p.
The name of the list is an e-mail address.  That is, it has the form
"listname@domain", where "domain" is the mail domain for the mail
server that receives mail for the list.  You send a message to the
list by mailing it to that address.  When it is received, the list
manager sees it and sends copies to everyone who is subscribed to
the list.  In other words, when you send an e-mail to the list you
are actually sending it to multiple people.

:p.:hp2.Major Major and its interaction with the mail server:ehp2.

:p.
A mail server consists of two parts.  (These might be two separate
pieces of software, or they might be integrated in a single package.)
One part is the SMTP server, which is the software that looks after
transferring mail between the source and destination machines.  The
other part is the "Post Office" server, through which users pick up
their mail after it has arrived.  Major Major assumes that the
Post Office server is a POP3 server, which at least for now is the
most common kind of Post Office server.

:p.
One way to implement a mailing list manager would be to make it an
integral part of the mail server software.  I haven't done it this
way, however, because I dislike large integrated software packages.
Rather than have one giant program that does everything, I prefer
to have many small programs, each of which does one thing and
does it well.  That gives a cleaner design, with less chance of
undetected software errors.  It also means that the users can
"mix and match" their software, according to their own preferences,
without having to get it all from the same supplier.

:p.
As a result of this, Major Major is :hp1.not:ehp1. itself a mail
server.  It assumes that a mail server is already installed, and
it interacts with that mail server.  When mailing list mail arrives
at the Post Office machine, Major Major gets it from the POP3
server.  Then Major Major decides who it should be forwarded to,
and it sends it back to the SMTP server to be delivered.

:p.
When you set up a mailing list, you specify to Major Major how
often it should check for mail.  Most mailing lists don't need a
rapid response, so it would be sufficient to check them once an
hour or even once a day.  In the case of a discussion list that
has lively back-and-forth discussions, you might want to cut the
sampling interval down to a few minutes.  In an extreme case
you might even reduce it to a few seconds; but that is not
recommended, because it puts an extra load on your processor.

:p.
Major Major can handle multiple mailing lists, and you can set
different sampling intervals for different lists.

:p.:hp2.Special case: the interaction with Weasel:ehp2.

:p.
If you are using the Weasel mail server, and it is running on the
same machine as Major Major, a shortcut is possible.  In this
case, Major Major doesn't need to use the POP3 and SMTP protocols
to send and receive mail.  Instead, it looks directly into the
disk directories where Weasel stores the mail.  This removes
some overhead from the operation, because you don't have as much
network traffic.


.***********************************
.*   INSTALLATION
.***********************************

:h1.Installation
:hp2.Installation:ehp2.
:p.
See also :link reftype=hd refid=deinstall.De-installation:elink.

:p.You should have received this package in the form of a zip file.
The first step is to unzip the file into a directory of your choice.
(Presumably you've already done this.)  You will find that you
have executable files Major.exe and Admin.exe, and a few other
files.

:p.Admin.exe sets up the configurable parameters, so you should
run it first.  The required settings should be obvious.  If they're
not, you'll have to wait for a later version, because that section
of the manual hasn't yet been written.

:p.Major.exe is the actual mailing list manager, and you leave
it running all the time.  Ultimately you will probably want to
run it minimized or detached, but initially it's a good idea
to run it directly on your desktop, so that you can verify that
it's doing what you expect.

:p.If you need to stop Major.exe, type CTRL/C.  A process killer,
e.g. the second button in the WarpCenter, will also work, but
CTRL/C is preferred because it makes Major Major tidy up and
exit cleanly.

:p.The command file MakeFolder.cmd is optional.  If you run it,
it will create a desktop folder to let you work with Major Major
without having to open the directory in which it's installed.

:p.Of course, Major Major is not going to do anything interesting
until you've created one or more mailing lists, and this includes
creating the e-mail accounts for those lists.  Those details
are covered in later sections.

.***********************************
.*   DEINSTALLATION
.***********************************

:h1 id=deinstall.De-installation
:hp2.De-installation:ehp2.
:p.
Major Major does not tamper with CONFIG.SYS or with other system files.
If you decide that you don't want to keep Major Major, simply delete
the directory into which you installed it.

:p.You should probably also go to your mail server and close down
the e-mail accounts that you were using for Major Major, unless
of course you still need those accounts.

.***********************************
.*   CONFIGURATION
.***********************************

:h1 id=configuration.Configuration

:p.This section has not yet been written.

:h1.Incomplete
:hp2.Incomplete:ehp2.

:p.
The remainder of this document has not yet been written.

:euserdoc.

